Difficalcy.PerformancePlus v1
Difficalcy.PerformancePlus.Api
GET /api/calculators
Responses
osu
GET /api/calculators/osu/info
Responses
{
"rulesetName": "string",
"calculatorName": "string",
"calculatorPackage": "string",
"calculatorVersion": "string",
"calculatorUrl": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"rulesetName": {
"type": [
"null",
"string"
]
},
"calculatorName": {
"type": [
"null",
"string"
]
},
"calculatorPackage": {
"type": [
"null",
"string"
]
},
"calculatorVersion": {
"type": [
"null",
"string"
]
},
"calculatorUrl": {
"type": [
"null",
"string"
]
}
}
}
GET /api/calculators/osu/calculation
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
beatmapId |
query | string | No | ||
mods |
query | string | No |
Responses
{
"accuracy": {},
"combo": {},
"difficulty": {
"aim": {},
"jumpAim": {},
"flowAim": {},
"precision": {},
"speed": {},
"stamina": {},
"accuracy": {},
"total": {}
},
"performance": {
"aim": {},
"jumpAim": {},
"flowAim": {},
"precision": {},
"speed": {},
"stamina": {},
"accuracy": {},
"total": {}
}
}
Schema of the response body
{
"type": "object",
"properties": {
"accuracy": {
"type": "object",
"anyOf": [
{
"type": "number"
},
{
"enum": [
"NaN",
"Infinity",
"-Infinity"
]
}
],
"format": "double"
},
"combo": {
"type": "object",
"anyOf": [
{
"type": "number"
},
{
"enum": [
"NaN",
"Infinity",
"-Infinity"
]
}
],
"format": "double"
},
"difficulty": {
"$ref": "#/components/schemas/OsuDifficulty"
},
"performance": {
"$ref": "#/components/schemas/OsuPerformance"
}
}
}
POST /api/calculators/osu/batch/calculation
Request body
Responses
[
{
"accuracy": {},
"combo": {},
"difficulty": {
"aim": {},
"jumpAim": {},
"flowAim": {},
"precision": {},
"speed": {},
"stamina": {},
"accuracy": {},
"total": {}
},
"performance": {
"aim": {},
"jumpAim": {},
"flowAim": {},
"precision": {},
"speed": {},
"stamina": {},
"accuracy": {},
"total": {}
}
}
]
GET /api/calculators/osu/beatmapdetails
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
beatmapId |
query | string | No |
Responses
{
"circleCount": 279,
"sliderCount": 63,
"spinnerCount": 222,
"sliderTickCount": 70,
"circleSize": {},
"approachRate": {},
"accuracy": {},
"drainRate": {},
"artist": "string",
"title": "string",
"difficultyName": "string",
"author": "string",
"maxCombo": 82,
"length": {},
"minBPM": 111,
"maxBPM": 141,
"commonBPM": 271,
"baseVelocity": {},
"tickRate": {}
}
Schema of the response body
{
"type": "object",
"properties": {
"circleCount": {
"type": "integer",
"format": "int32"
},
"sliderCount": {
"type": "integer",
"format": "int32"
},
"spinnerCount": {
"type": "integer",
"format": "int32"
},
"sliderTickCount": {
"type": "integer",
"format": "int32"
},
"circleSize": {
"type": "object",
"anyOf": [
{
"type": "number"
},
{
"enum": [
"NaN",
"Infinity",
"-Infinity"
]
}
],
"format": "double"
},
"approachRate": {
"type": "object",
"anyOf": [
{
"type": "number"
},
{
"enum": [
"NaN",
"Infinity",
"-Infinity"
]
}
],
"format": "double"
},
"accuracy": {
"type": "object",
"anyOf": [
{
"type": "number"
},
{
"enum": [
"NaN",
"Infinity",
"-Infinity"
]
}
],
"format": "double"
},
"drainRate": {
"type": "object",
"anyOf": [
{
"type": "number"
},
{
"enum": [
"NaN",
"Infinity",
"-Infinity"
]
}
],
"format": "double"
},
"artist": {
"type": [
"null",
"string"
]
},
"title": {
"type": [
"null",
"string"
]
},
"difficultyName": {
"type": [
"null",
"string"
]
},
"author": {
"type": [
"null",
"string"
]
},
"maxCombo": {
"type": "integer",
"format": "int32"
},
"length": {
"type": "object",
"anyOf": [
{
"type": "number"
},
{
"enum": [
"NaN",
"Infinity",
"-Infinity"
]
}
],
"format": "double"
},
"minBPM": {
"type": "integer",
"format": "int32"
},
"maxBPM": {
"type": "integer",
"format": "int32"
},
"commonBPM": {
"type": "integer",
"format": "int32"
},
"baseVelocity": {
"type": "object",
"anyOf": [
{
"type": "number"
},
{
"enum": [
"NaN",
"Infinity",
"-Infinity"
]
}
],
"format": "double"
},
"tickRate": {
"type": "object",
"anyOf": [
{
"type": "number"
},
{
"enum": [
"NaN",
"Infinity",
"-Infinity"
]
}
],
"format": "double"
}
}
}
Schemas
CalculatorInfo
| Name | Type | Description |
|---|---|---|
calculatorName |
string | null | |
calculatorPackage |
string | null | |
calculatorUrl |
string | null | |
calculatorVersion |
string | null | |
rulesetName |
string | null |
ErrorResponse
| Name | Type | Description |
|---|---|---|
error |
string | null |
Mod
| Name | Type | Description |
|---|---|---|
acronym |
string | null | |
settings |
OsuBeatmapDetails
| Name | Type | Description |
|---|---|---|
accuracy |
||
approachRate |
||
artist |
string | null | |
author |
string | null | |
baseVelocity |
||
circleCount |
integer(int32) | |
circleSize |
||
commonBPM |
integer(int32) | |
difficultyName |
string | null | |
drainRate |
||
length |
||
maxBPM |
integer(int32) | |
maxCombo |
integer(int32) | |
minBPM |
integer(int32) | |
sliderCount |
integer(int32) | |
sliderTickCount |
integer(int32) | |
spinnerCount |
integer(int32) | |
tickRate |
||
title |
string | null |
OsuCalculation
| Name | Type | Description |
|---|---|---|
accuracy |
||
combo |
||
difficulty |
OsuDifficulty | |
performance |
OsuPerformance |
OsuDifficulty
| Name | Type | Description |
|---|---|---|
accuracy |
||
aim |
||
flowAim |
||
jumpAim |
||
precision |
||
speed |
||
stamina |
||
total |
OsuPerformance
| Name | Type | Description |
|---|---|---|
accuracy |
||
aim |
||
flowAim |
||
jumpAim |
||
precision |
||
speed |
||
stamina |
||
total |
OsuScore
| Name | Type | Description |
|---|---|---|
beatmapId |
string | null | |
combo |
integer(int32) | null | |
mehs |
integer(int32) | |
misses |
integer(int32) | |
mods |
Array<Mod> | |
oks |
integer(int32) |
Tags
| Name | Description |
|---|---|
| Difficalcy.PerformancePlus.Api | |
| osu |
Generated from difficalcy-performanceplus OpenAPI schema